Update a List of Records

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Supported Regions and Base URLs

👍

Access and Registration

Authentication

Scope

record-lists:manage

Request Body

[
  {
    "op": "replace",
    "path": "/records/{record_id}",
    "value": {
      "extra_data": {
        "home": "earth"
      },
      "priority": 10
    }
  },
  {
    "op": "add",
    "path": "/records/{record_id}",
    "value": {
      "extra_data": {
        "name": "jerry"
      }
    }
  }
]

Body Response - Schema

200 (records updated successfully)

ParameterTypeDescriptionRequired
record_list_idstring

Record list ID.

= 1 characters
<= 36 characters

no
has_errorsbooleantrue if records upload has errorsno
total_errorsinteger

Total number of errors found in the multiple records upload.

= 0
<= 100

no
total_createdinteger

Total number of records created in multiple records upload request.

= 0
<= 100

no
_linksobject

"_links" subdivides into:

1 - "self" (object). Required.
1.1 - "href" (string). Required.

2 - "record_list" (object). Required.
2.1 - "href" (string). Required.

no
_embeddedobject

List of records resulted from insertion.

"_embedded" subdivides into:

1 - "records" (array[object]) - array of records.

1.1 - "id" (string) - record ID.

1.2 - "record_list_id" (string) - record list ID.

1.3 - "phone_number" (string) - phone number of the record. Deprecated.

1.4 - "phone_numbers" (array[object]) - list of phone numbers of the record.

= 1 items
1.4.1 - "phone_number" (string) - record phone number.
= 1 characters
<= 20 characters Required.
1.4.2 - "phone_type" (string) - The type of the phone number
= 4 characters
<= 7 characters
Allowed values: "HOME",
"OFFICE", "MOBILE",
"EXTRA_1", "EXTRA_2",
"EXTRA_3". Required.

1.5 - "first_name" (string) - first name of the record.

1.6 - "last_name" (string) - last name of the record.

1.7 - "timezone" (string) - timezone of the record.

1.8 - "priority" (integer) - priority of the record within the record list.

= 1
<= 10

1.9 - "extra_data" (object) - extra data of the record.

1.10 - "external_provider" (string) - reference for external provider source.

1.11 - "external_id" (string) - unique identifier for resource in external source.

1.12 - "external_url" (string) - resource location in external source.

1.13 - "sync_external_id" (boolean) - sync external ID with contacts.

1.14 - "errors" (
array[string])
- allowed values:
"PHONE_NUMBER_INVALID", "PHONE_NUMBER_MISSING", "PHONE_NUMBER_NOT_UNIQUE",
"FIRST_NAME_INVALID",
"FIRST_NAME_MISSING",
"LAST_NAME_INVALID",
"LAST_NAME_MISSING",
"TIMEZONE_INVALID",
"TIMEZONE_MISSING",
"TIMEZONE_UNMATCHED", "PRIORITY_INVALID",
"EXTERNAL_REF_MISSING", "REQUIRED_FIELDS",
"OTHER".

1.15 - "created_at" (string) - record creation date.

1.16 - "updated_at" (string) - record update date.

1.17 - "_links" (string) - record update date.
1.17.1 - "self" (object)
17.1.1 - "href" (string)
1.17.2 - "record_list" (object)
1.17.2.1 - "href" (string)

no

400 (bad request), 401 (unauthorized), 403 (forbidden), 404 (record list not found)

ParameterTypeDescriptionRequired
codestringn/ayes
messagestringn/ayes
descriptionstringn/ano
fieldsarray[object]

"fields" subdivides into:

"name" (string)

"description" (string)

yes (name and description)
🚧

Troubleshooting

If you have any questions regarding the usage of this API, or if you’re having any technical issues, please open a ticket using this form.

📘

Body Response

The parameters from the body response are part of an array.

Path Params
string
required
Body Params
string
required
string
required
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json